[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: bugfix to actually clean up old artifacts
Holger Levsen
holger at moszumanska.debian.org
Sat Mar 28 16:24:51 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 6fffbb460b4f31c205b430c53bb1afc3877ac257
Author: Holger Levsen <holger at layer-acht.org>
Date: Sat Mar 28 17:24:36 2015 +0100
reproducible: bugfix to actually clean up old artifacts
---
bin/reproducible_maintainance.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/bin/reproducible_maintainance.sh b/bin/reproducible_maintainance.sh
index 1d4e21c..3cbd545 100755
--- a/bin/reproducible_maintainance.sh
+++ b/bin/reproducible_maintainance.sh
@@ -208,11 +208,11 @@ if [ ! -z "$OLDSTUFF" ] ; then
fi
# remove artifacts older than 3 days
-ARTIFACTS=$(find /var/lib/jenkins/userContent/artifacts/* -maxdepth 0 -type d -mtime +3 -exec ls -lad {} \; || true)
+ARTIFACTS=$(find /var/lib/jenkins/userContent/artifacts/* -maxdepth 1 -type d -mtime +3 -exec ls -lad {} \; || true)
if [ ! -z "$ARTIFACTS" ] ; then
echo
echo "Removed old artifacts:"
- find /var/lib/jenkins/userContent/artifacts/* -maxdepth 0 -type d -mtime +3 -exec rm -rv {} \;
+ find /var/lib/jenkins/userContent/artifacts/* -maxdepth 1 -type d -mtime +3 -exec rm -rv {} \;
echo
fi
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list